Package org.apache.tomcat.websocket

# Interface ClientEndpointHolder

All Known Implementing Classes:
  `EndpointClassHolder`, `EndpointHolder`, `PojoClassHolder`, `PojoHolder`

public interface ClientEndpointHolder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `Endpoint`
  `getInstance(InstanceManager instanceManager)`

- ## Method Details

  - ### getClassName

    String getClassName()

  - ### getInstance

    Endpoint getInstance(InstanceManager instanceManager) throws DeploymentException
    Throws:
      `DeploymentException`